Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/claims.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/claims.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/claims.service.ts	(revision 55964)
@@ -1,15 +1,19 @@
+
+import {throwError as observableThrowError, Observable} from 'rxjs';
 import {Injectable} from '@angular/core';
 import {URLSearchParams } from '@angular/http';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import { HttpClient } from '@angular/common/http';
 // import {Claim}           from '../claim';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
+import { catchError } from 'rxjs/operators';
+
 import { CustomOptions } from '../../../services/servicesUtils/customOptions.class';
 @Injectable()
 export class ClaimsService {
-  constructor(private http: Http ) {
+  constructor(private http: HttpClient ) {
   }
 
   private getClaimRequest(size : number, page : number, url :string, fromCache:boolean):any {
@@ -16,9 +20,9 @@
     //console.info('ClaimsService: Claims request: '+url);
     let key = url;
        return this.http.get(url, CustomOptions.getAuthOptions())
-                    .map(request => <any> request.json())
+                    //.map(request => <any> request.json())
                     //.do(request => console.info("Get claims: offset = "+(size*(page-1)) + " limit ="+size ))
-                    .catch(this.handleError);
+         .pipe(catchError(this.handleError));
   }
   getClaims( size : number, page : number, keyword:string, sortby: string, descending: boolean, types: string, apiUrl:string):any {
     let url = apiUrl +"claims"+"?offset="+(size*(page-1) + "&limit="+size)+"&keyword="+keyword+"&sortby="+sortby+"&descending="+descending+"&"+types;
@@ -54,9 +58,9 @@
     let url = apiUrl +"claims/"+claimId;
     // let headers = new Headers({ 'Content-Type': 'application/json' });
     // let options = new RequestOptions({ headers: headers });
-      return this.http.delete( url,  CustomOptions.getAuthOptionsWithBody()).map(request => <any> request.json())
+      return this.http.delete( url,  CustomOptions.getAuthOptionsWithBody())//.map(request => <any> request.json())
       // .do(request => console.info("After delete" ))
-      .catch(this.handleError);
+      .pipe(catchError(this.handleError));
 
   }
   deleteBulk(claimIds:string[], apiUrl:string):any{
@@ -71,9 +75,9 @@
 
     // let headers = new Headers({ 'Content-Type': 'application/json' });
     // let options = new RequestOptions({ headers: headers });
-      return this.http.delete( url,  CustomOptions.getAuthOptions()).map(request => <any> request.json())
+      return this.http.delete( url,  CustomOptions.getAuthOptions())//.map(request => <any> request.json())
       // .do(request => console.info("After delete" ))
-      .catch(this.handleError);
+      .pipe(catchError(this.handleError));
 
   }
   insertBulkClaims(claims, apiUrl:string):any{
@@ -84,9 +88,9 @@
     // let headers = new Headers({ 'Content-Type': 'application/json' });
     // let options = new RequestOptions({ headers: headers });
     return this.http.post(url, body,  CustomOptions.getAuthOptionsWithBody())
-                          .map(res => res.json())
+                          //.map(res => res.json())
                           //.do(request => console.info("Insert Response:"+request.status) )
-                          .catch(this.handleError);
+                          .pipe(catchError(this.handleError));
 
     }
   insertClaim(claim, apiUrl:string):any{
@@ -96,9 +100,9 @@
           // let headers = new Headers({ 'Content-Type': 'application/json' });
           // let options = new RequestOptions({ headers: headers });
           return this.http.post(url, body,  CustomOptions.getAuthOptionsWithBody())
-                          .map(res => res.json())
+                          //.map(res => res.json())
                           //.do(request => console.info("Insert Response:"+request.status) )
-                          .catch(this.handleError);
+                          .pipe(catchError(this.handleError));
 
     }
     insertDirectRecords(records, apiUrl:string):any{
@@ -109,9 +113,9 @@
       // let headers = new Headers({ 'Content-Type': 'application/json' });
       // let options = new RequestOptions({ headers: headers });
       return this.http.post(url, body, CustomOptions.getAuthOptionsWithBody())
-                            .map(res => res.json())
+                            //.map(res => res.json())
                             //.do(request => console.info("Insert Response:"+request) )
-                            .catch(this.handleError);
+                            .pipe(catchError(this.handleError));
 
       }
   private handleError (error: Response) {
@@ -118,7 +122,7 @@
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return observableThrowError(error  || 'Server error');
   }
 
   getClaim(id:string, apiUrl:string):any {
@@ -125,10 +129,10 @@
   let url = apiUrl+"claims/"+id;
       return new Promise((resolve, reject) => {
         this.http.get(url)
-          .map(res => res.json())
+          //.map(res => res.json())
           .subscribe(
             data => {
-              resolve(data.data);
+              resolve(data['data']);
             },
             err => {
               reject(err);
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/claimContextSearchForm.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/claimContextSearchForm.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/claimContextSearchForm.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input,Output, EventEmitter, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import { Router} from '@angular/router';
 import {ContextsService} from './service/contexts.service';
 import {ClaimContext} from './claimEntities.class';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsByToken/claimsByToken.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsByToken/claimsByToken.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsByToken/claimsByToken.component.ts	(revision 55964)
@@ -4,8 +4,7 @@
 import {Title, Meta}                 from '@angular/platform-browser';
 
 import {DataTableDirective}          from 'angular-datatables';
-import {Observable}                  from 'rxjs/Observable';
-import { Subject }                   from 'rxjs/Subject';
+import {Observable,  Subject }                  from 'rxjs';
 
 import{EnvProperties}                from '../../utils/properties/env-properties';
 import {ErrorCodes}                  from '../../utils/properties/errorCodes';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/linkingGeneric.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/linkingGeneric.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/linkingGeneric.component.ts	(revision 55964)
@@ -1,7 +1,7 @@
 import {Component, Input}             from '@angular/core';
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 import {EnvProperties}                from '../../utils/properties/env-properties';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/navigationBar.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/navigationBar.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/navigationBar.component.ts	(revision 55964)
@@ -1,7 +1,7 @@
 import { Component, Input } from '@angular/core';
 // import 'rxjs/Rx';
 import {ActivatedRoute, Router} from '@angular/router';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 
 import {Session} from '../login/utils/helper.class';
 import { ConfigurationService } from '../utils/configuration/configuration.service';
@@ -63,12 +63,12 @@
 
 if( this.APIUrl && this.communityId ){
     this.config.getCommunityInformation(this.APIUrl, this.communityId ).subscribe(data => {
-        for(var i=0; i< data.entities.length; i++){
+        for(var i=0; i< data['entities'].length; i++){
 
-          this.showEntity[""+data.entities[i]["pid"]+""] = data.entities[i]["isEnabled"];
+          this.showEntity[""+data['entities'][i]["pid"]+""] = data['entities'][i]["isEnabled"];
         }
-        for(var i=0; i< data.pages.length; i++){
-          this.showPage[data.pages[i]["route"]] = data.pages[i]["isEnabled"];
+        for(var i=0; i< data['pages'].length; i++){
+          this.showPage[data['pages'][i]["route"]] = data['pages'][i]["isEnabled"];
 
         }
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsByToken/claimsByToken.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsByToken/claimsByToken.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsByToken/claimsByToken.service.ts	(revision 55964)
@@ -1,15 +1,16 @@
 import {Injectable} from '@angular/core';
-import {Http, Response} from '@angular/http';
-import {Jsonp, URLSearchParams,ResponseOptions, RequestOptions, Headers} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
-import 'rxjs/add/operator/do';
+import {RequestOptions, Headers} from '@angular/http';
+import {HttpClient, HttpErrorResponse, HttpHeaders} from "@angular/common/http";
+import {throwError} from 'rxjs';
 
+
 import { CustomOptions } from '../../services/servicesUtils/customOptions.class';
+import {catchError} from "rxjs/operators";
 
 @Injectable()
 export class ClaimsByTokenService {
 
-    constructor(private http: Http ) {}
+    constructor(private http: HttpClient ) {}
 
     getClaims(openaireId: string,  apiURL:string):any {
 
@@ -18,9 +19,9 @@
 
         let key = url;
 
-        return this.http.get(url, CustomOptions.getAuthOptions())
+        return this.http.get(url, CustomOptions.getAuthOptions());
                     //.map(res => <any> res.text())
-                    .map(request => <any> request.json());
+                    //.map(request => <any> request.json());
 
     }
 
@@ -57,12 +58,11 @@
 
     let body = JSON.stringify( claimsCurationInfo );
     //console.warn('Json body:  : '+body);
-    let headers = new Headers({ 'Content-Type': 'application/json' });
-    let options = new RequestOptions({ headers: headers });
+
     return this.http.post(url, body,  CustomOptions.getAuthOptionsWithBody())
-                          .map(res => res.json())
+                          //.map(res => res.json())
                           //.do(request => console.info("Insert Response:"+request.status) )
-                          .catch(this.handleError);
+                          .pipe(catchError(this.handleError));
   }
 
 
@@ -74,17 +74,17 @@
 
       let body = JSON.stringify( claimsCurationInfo );
       //console.warn('Json body:  : '+body);
-      let headers = new Headers({ 'Content-Type': 'application/json' });
-      let options = new RequestOptions({ headers: headers });
+
       return this.http.post(url, body,  CustomOptions.getAuthOptionsWithBody())
-                            .map(res => res.json())
-                            .catch(this.handleError);
+                            //.map(res => res.json())
+                            .pipe(catchError(this.handleError));
     }
 
-  private handleError (error: Response) {
+  private handleError (error: HttpErrorResponse) {
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return throwError(error || 'Server error');
+    //return Observable.throw(error  || 'Server error');
   }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/insertClaim/insertClaim.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/insertClaim/insertClaim.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/insertClaim/insertClaim.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, Output, EventEmitter, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import {Router, ActivatedRoute} from '@angular/router';
 import {ClaimsService} from '../../claim-utils/service/claims.service';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/cookie-law/cookie-law.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/cookie-law/cookie-law.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/sharedComponents/cookie-law/cookie-law.component.ts	(revision 55964)
@@ -14,14 +14,14 @@
   Input,
   Output,
   EventEmitter,
-  animate,
+} from '@angular/core';
+import {  animate,
   state,
   trigger,
   style,
   transition,
-  AnimationTransitionEvent,
-} from '@angular/core';
-
+  AnimationEvent
+} from '@angular/animations';
 import {
   DomSanitizer,
   SafeHtml,
@@ -129,7 +129,7 @@
     }
   }
 
-  afterDismissAnimation(evt: AnimationTransitionEvent) {
+  afterDismissAnimation(evt: AnimationEvent) {
     if (evt.toState === 'topOut' ||
         evt.toState === 'bottomOut') {
       this.isSeen = true;
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/freeGuard.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/freeGuard.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/freeGuard.guard.ts	(revision 55964)
@@ -7,11 +7,11 @@
   Route,
   CanLoad
 } from '@angular/router';
-import {Observable} from 'rxjs/Observable';
+import {Observable} from 'rxjs';
 import {LoginErrorCodes} from './utils/guardHelper.class';
 
 @Injectable()
-export class FreeGuard implements CanActivate, CanLoad {
+export class FreeGuard implements CanActivate {
 
   constructor(private router: Router) {
   }
@@ -28,7 +28,4 @@
     return this.check(state.url);
   }
 
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
-    return this.check('/' + route.path);
-  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchOrcid.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchOrcid.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/searchOrcid.service.ts	(revision 55964)
@@ -2,60 +2,68 @@
 import {URLSearchParams} from '@angular/http';
 import {Http, Response} from '@angular/http';
 import { Headers, RequestOptions } from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import {HttpClient, HttpHeaders} from '@angular/common/http';
+import {Observable}     from 'rxjs';
 import{EnvProperties} from '../../../utils/properties/env-properties';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+
+
+
 import { ClaimResult} from  '../claimEntities.class';
+import {map} from "rxjs/operators";
 
 @Injectable()
 export class SearchOrcidService {
-  constructor( private http: Http ) {}
+  constructor( private http: HttpClient ) {}
 
 
   searchOrcidAuthor (term: string, authorIds: string[], authors, properties:EnvProperties, addId):any {
 
-    var headers = new Headers();
-    headers.append('Accept', 'application/orcid+json');
+    //var headers = new Headers();
+    //headers.append('Accept', 'application/orcid+json');
+    let headers = new HttpHeaders({'Accept': 'application/orcid+json'});
 
     let url = properties.searchOrcidURL + term+'/record';
     let key = url;
 
     return this.http.get(url, { headers: headers })
-                .map(res => res.json()['person'])
-                .map(res => [res['name']['given-names'],
+                //.map(res => res.json()['person'])
+                 .pipe(map(res => res['person']))
+                 .pipe(map(res => [res['name']['given-names'],
                              res['name']['family-name'],
-                             res['name']])
-                .map(res => this.parseOrcidAuthor(res, authorIds, authors, addId));
+                             res['name']]))
+                .pipe(map(res => this.parseOrcidAuthor(res, authorIds, authors, addId)));
     }
 
   searchOrcidAuthors (term: string, authorIds: string[],
     properties:EnvProperties):any {
 
-    var headers = new Headers();
-    headers.append('Accept', 'application/orcid+json');
+    //var headers = new Headers();
+    //headers.append('Accept', 'application/orcid+json');
+    let headers = new HttpHeaders({'Accept': 'application/orcid+json'});
 
     let url = properties.searchOrcidURL+'search?defType=edismax&q='+term+'&qf=given-name^1.0+family-name^2.0+other-names^1.0+credit-name^1.0&start=0&rows=10';
     let key = url;
 
     return this.http.get(url, { headers: headers })
-      .map(res => res.json()['result'])
-      .map(res => this.parseOrcidAuthors(res, authorIds));
+      //.map(res => res.json()['result'])
+      .pipe(map(res => res['result']))
+      .pipe(map(res => this.parseOrcidAuthors(res, authorIds)));
 
     }
 
     searchOrcidPublications (id: string, properties:EnvProperties, parse:boolean = false):any {
 
-      var headers = new Headers();
-      headers.append('Accept', 'application/orcid+json');
+      //var headers = new Headers();
+      //headers.append('Accept', 'application/orcid+json');
+      let headers = new HttpHeaders({'Accept': 'application/orcid+json'});
 
       let url =properties.searchOrcidURL+id+'/works';
       let key = url;
 
       return this.http.get(url, { headers: headers })
-        .map(res => res.json()['group'])
-        .map(request => (parse?this.parse(id, request):request));
+        //.map(res => res.json()['group'])
+        .pipe(map(res => res['group']))
+        .pipe(map(request => (parse?this.parse(id, request):request)));
         //.map(res => res['orcid-work']);
       }
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/claimsCuratorGuard.guard.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/claimsCuratorGuard.guard.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/login/claimsCuratorGuard.guard.ts	(revision 55964)
@@ -1,11 +1,19 @@
-import { Injectable } from '@angular/core';
-import {Router, CanActivate, ActivatedRouteSnapshot, RouterStateSnapshot, CanLoad, Route} from '@angular/router';
-import {Observable} from 'rxjs/Observable';
+import {Injectable} from '@angular/core';
+import {
+  Router,
+  CanActivate,
+  ActivatedRouteSnapshot,
+  RouterStateSnapshot,
+  CanLoad,
+  Route,
+  UrlSegment
+} from '@angular/router';
+import {Observable} from 'rxjs';
 import {Session} from './utils/helper.class';
 import {LoginErrorCodes} from './utils/guardHelper.class';
 
 @Injectable()
-export class ClaimsCuratorGuard implements CanActivate, CanLoad {
+export class ClaimsCuratorGuard implements CanActivate {
 
   constructor(private router: Router) {
   }
@@ -24,7 +32,12 @@
       }
     }
     if (!loggedIn || !isAuthorized) {
-      this.router.navigate(['/user-info'], {queryParams: {'errorCode': errorCode, 'redirectUrl': path}});
+      this.router.navigate(['/user-info'], {
+        queryParams: {
+          'errorCode': errorCode,
+          'redirectUrl': path
+        }
+      });
     }
     return loggedIn && isAuthorized;
   }
@@ -33,7 +46,4 @@
     return this.check(state.url);
   }
 
-  canLoad(route: Route): Observable<boolean> | Promise<boolean> | boolean {
-    return this.check('/' + route.path);
-  }
 }
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsAdmin/claimsAdmin.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsAdmin/claimsAdmin.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claimsAdmin/claimsAdmin.component.ts	(revision 55964)
@@ -2,7 +2,7 @@
 import {Location}                     from '@angular/common';
 import {Title, Meta}                  from '@angular/platform-browser';
 
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 
 
 @Component({
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/contexts.service.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/contexts.service.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/service/contexts.service.ts	(revision 55964)
@@ -1,16 +1,16 @@
+
+import {throwError as observableThrowError, Observable} from 'rxjs';
 import {Injectable} from '@angular/core';
 import {Jsonp, URLSearchParams, RequestOptions, Headers} from '@angular/http';
 import {Http, Response} from '@angular/http';
-import {Observable}     from 'rxjs/Observable';
+import { HttpClient } from '@angular/common/http';
 import {Claim}           from '../claim';
 import {AutoCompleteValue} from '../../../searchPages/searchUtils/searchHelperClasses.class';
-import 'rxjs/add/observable/of';
-import 'rxjs/add/operator/do';
-import 'rxjs/add/operator/share';
+import {catchError, map} from "rxjs/operators";
 import { COOKIE  } from '../../../login/utils/helper.class';
 @Injectable()
 export class ContextsService {
-  constructor(private http: Http ) {
+  constructor(private http: HttpClient ) {
   }
 
   public getCommunities( apiUrl:string):any {
@@ -19,9 +19,10 @@
   let key = url;
     //console.info('ContextsService: request communities  '+url);
       return this.http.get(url)
-                    .map(res => <any> res.json()).map(res => this.parseCommunities(res, true) )
+                    //.map(res => <any> res.json())
+                    .pipe(map(res => this.parseCommunities(res, true) ))
                     // .do(request => console.info("Get claims: offset = "))
-                    .catch(this.handleError);
+                    .pipe(catchError(this.handleError));
   }
   public getPublicCommunities( apiUrl:string):any {
     let  url   = apiUrl + 's/';
@@ -29,9 +30,7 @@
     let key = url;
     //console.info('ContextsService: request communities  '+url);
     return this.http.get(url)
-      .map(res => <any> res.json()).map(res => this.parseCommunities(res, false) )
-      // .do(request => console.info("Get claims: offset = "))
-      .catch(this.handleError);
+      .pipe(map(res => this.parseCommunities(res, true) ));
   }
   parseCommunities(data, getall){
     var communities = [];
@@ -52,9 +51,9 @@
 
 
       return this.http.get(url)
-                    .map(request => <any> request.json())
+                    //.map(request => <any> request.json())
                     // .do(request => console.info("Get claims: offset = " ))
-                    .catch(this.handleError);;
+                    .pipe(catchError(this.handleError));
   }
   public getConcepts(categoryId :string, keyword: string, parsing:boolean, apiUrl:string):any {
     //console.info('ContextsService:  request concept for category  with id '+categoryId + ' and keyword '+ keyword);
@@ -63,9 +62,9 @@
 
 
       return this.http.get(url )
-                    .map(request => <any> request.json())
-                    .catch(this.handleError)
-                    .map(res => (parsing)?this.parse(res):res);
+                    //.map(request => <any> request.json())
+                    .pipe(catchError(this.handleError))
+                    .pipe(map(res => (parsing)?this.parse(res):res));
                     // .do(res => console.info("Result is "+ res.length ));
   }
   public getSubConcepts(subConceptID :string, keyword: string, parsing:boolean, apiUrl:string):any {
@@ -75,9 +74,9 @@
 
 
       return this.http.get(url )
-                    .map(request => <any> request.json())
-                    .catch(this.handleError)
-                    .map(res => (parsing)?this.parseSubConcepts(res):res);
+                    //.map(request => <any> request.json())
+                    .pipe(catchError(this.handleError))
+                    .pipe(map(res => (parsing)?this.parseSubConcepts(res):res));
                     // .do(res => console.info("Result is "+ res.length ));
   }
   parse (data: any):any {
@@ -130,7 +129,7 @@
     // in a real world app, we may send the error to some remote logging infrastructure
     // instead of just logging it to the console
     console.log(error);
-    return Observable.throw(error  || 'Server error');
+    return observableThrowError(error  || 'Server error');
   }
   private getAuthOptions():RequestOptions{
   let headers = new Headers();
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/claimProjectSearchForm.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/claimProjectSearchForm.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/claimProjectSearchForm.component.ts	(revision 55964)
@@ -1,9 +1,7 @@
 import {Component, Input,Output, ElementRef, EventEmitter, ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable,  Subject }       from 'rxjs';
 import {SearchProjectsService} from '../../services/searchProjects.service';
 import {ProjectService} from '../../landingPages/project/project.service';
-// import {ModalLoading} from '../../utils/modal/loading.component';
-import { Subject } from 'rxjs/Subject';
 import {ClaimProject} from './claimEntities.class';
 declare var UIkit:any;
 import{EnvProperties} from '../../utils/properties/env-properties';
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/directLinking/directLinking.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/directLinking/directLinking.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/directLinking/directLinking.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input}             from '@angular/core';
-import {Observable}                   from 'rxjs/Observable';
+import {Observable}                   from 'rxjs';
 import {ActivatedRoute, Router}       from '@angular/router';
 import {Title, Meta}                  from '@angular/platform-browser';
 
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/myClaims/myClaims.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/myClaims/myClaims.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/myClaims/myClaims.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input}      from '@angular/core';
-import {Observable}            from 'rxjs/Observable';
+import {Observable}            from 'rxjs';
 import {Title, Meta}           from '@angular/platform-browser';
 
 @Component({
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/displayClaims/displayClaims.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/displayClaims/displayClaims.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/claim-utils/displayClaims/displayClaims.component.ts	(revision 55964)
@@ -1,8 +1,9 @@
+
+import {distinctUntilChanged, debounceTime} from 'rxjs/operators';
 import {Component, ViewChild, Input} from '@angular/core';
 import {Location} from '@angular/common';
-import {Observable}       from 'rxjs/Observable';
+import {Observable, Subject}       from 'rxjs';
 import {ActivatedRoute, Router} from '@angular/router';
-import {Subject} from 'rxjs/Subject';
 import {ClaimsService} from '../service/claims.service';
 import {ModalLoading} from '../../../utils/modal/loading.component';
 import {AlertModal} from '../../../utils/modal/alert';
@@ -58,8 +59,8 @@
       this.setTypes(params['types']); // check the appropriate checkboxes
       this.setSortby(params['sort']);
       this.getClaims();
-      this.searchTermStream
-      .debounceTime(300).distinctUntilChanged()
+      this.searchTermStream.pipe(
+      debounceTime(300),distinctUntilChanged(),)
       .subscribe((term: string) =>    {
         this.keyword = this.inputkeyword;
         //console.log("keyword: "+this.keyword + " VS inputkeyword: "+this.inputkeyword);
Index: modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/bulkClaim/bulkClaim.component.ts
===================================================================
--- modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/bulkClaim/bulkClaim.component.ts	(revision 55963)
+++ modules/uoa-services-library/trunk/ng-openaire-library/src/app/claims/linking/bulkClaim/bulkClaim.component.ts	(revision 55964)
@@ -1,5 +1,5 @@
 import {Component, Input, Output, EventEmitter,ViewChild} from '@angular/core';
-import {Observable}       from 'rxjs/Observable';
+import {Observable}       from 'rxjs';
 import {SearchCrossrefService} from '../../claim-utils/service/searchCrossref.service';
 import {SearchDataciteService} from '../../claim-utils/service/searchDatacite.service';
 
